Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.datatypes
Class DatatypeReasoner

    java.lang.Object
      org.mindswap.pellet.datatypes.DatatypeReasoner

    public class DatatypeReasoner

extends java.lang.Object

Author:
  Evren Sirin

Field Summary
`static boolean` | `DEBUG` Deprecated. Use log4j.properties
`static org.apache.commons.logging.Log` | `log`

Constructor Summary
`DatatypeReasoner()`

Method Summary
`java.lang.String` | `defineDatatype(Datatype dt)`
`void` | `defineDatatype(java.lang.String name, Datatype dt)`
`void` | `defineUnknownDatatype(java.lang.String name)`
`Datatype` | `enumeration(java.util.Set values)`
`aterm.ATermAppl` | `getCanonicalRepresentation(aterm.ATermAppl dataValue)` Returns the canonical representation of the given literal.
`Datatype` | `getDatatype(aterm.ATermAppl datatypeTerm)`
`Datatype` | `getDatatype(java.lang.String datatypeURI)`
`java.lang.String` | `getDatatypeURI(Datatype datatype)`
`java.util.Set<java.lang.String>` | `getDatatypeURIs()`
`java.lang.Object` | `getValue(aterm.ATermAppl lit)`
`Datatype` | `intersection(aterm.ATermAppl[] datatypeTerms)` Return a datatype that represents the intersection of a set of (possibly negated) datatypes.
`boolean` | `isDefined(Datatype datatype)`
`boolean` | `isDefined(java.lang.String datatypeURI)`
`boolean` | `isSubTypeOf(aterm.ATermAppl d1, aterm.ATermAppl d2)` Check if a datatype is subsumed by another datatype
`void` | `loadUserDefinedDatatype(java.lang.String name)`
`Datatype` | `negate(Datatype datatype)`
`org.apache.xerces.xs.XSNamedMap` | `parseXMLSchema(java.net.URL url)`
`void` | `removeDatatype(java.lang.String name)`
`Datatype` | `singleton(aterm.ATermAppl term)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.commons.logging.Log log

### DEBUG

    public static boolean DEBUG

  Deprecated. Use log4j.properties

Constructor Detail

### DatatypeReasoner

    public DatatypeReasoner()

Method Detail

### getDatatypeURIs

    public final java.util.Set<java.lang.String> getDatatypeURIs()

### isDefined

    public final boolean isDefined(java.lang.String datatypeURI)

### isDefined

    public final boolean isDefined(Datatype datatype)

### defineDatatype

    public void defineDatatype(java.lang.String name,
                               Datatype dt)

### defineUnknownDatatype

    public void defineUnknownDatatype(java.lang.String name)

### parseXMLSchema

    public org.apache.xerces.xs.XSNamedMap parseXMLSchema(java.net.URL url)
                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### loadUserDefinedDatatype

    public void loadUserDefinedDatatype(java.lang.String name)

### defineDatatype

    public java.lang.String defineDatatype(Datatype dt)

### removeDatatype

    public void removeDatatype(java.lang.String name)

### getDatatype

    public Datatype getDatatype(java.lang.String datatypeURI)

### getDatatypeURI

    public java.lang.String getDatatypeURI(Datatype datatype)

### getValue

    public java.lang.Object getValue(aterm.ATermAppl lit)

### singleton

    public Datatype singleton(aterm.ATermAppl term)

### enumeration

    public Datatype enumeration(java.util.Set values)

### getCanonicalRepresentation

    public aterm.ATermAppl getCanonicalRepresentation(aterm.ATermAppl dataValue)

  Returns the canonical representation of the given literal. Datatyped literals are represented using their base type.

### getDatatype

    public Datatype getDatatype(aterm.ATermAppl datatypeTerm)

### negate

    public Datatype negate(Datatype datatype)

### isSubTypeOf

    public boolean isSubTypeOf(aterm.ATermAppl d1,
                               aterm.ATermAppl d2)

  Check if a datatype is subsumed by another datatype

  Parameters:
    `d1` -
    `d2` -
  Returns:

### intersection

    public Datatype intersection(aterm.ATermAppl[] datatypeTerms)

  Return a datatype that represents the intersection of a set of (possibly negated) datatypes.

  Parameters:
    `datatypeTerms` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.